Service Desk - Feature #1505

EDGAR Device - Output File Conversion - ERP Format - (Requirement 2)
20/11/2024 02:56 PM - Krishna Kanth A

Status: Closed Start date: 20/11/2024
Priority: Normal Due date:

Assignee: Venkata Suryateja Thripuraribhotla % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Spent time: 0:00 hour
Deployed In: Production Environment Category:

Description

Hi Bhanu Sir,

Request you to please generate data in the output file as per the below Requirements.

This ticket is contiunation to #1496.1 was mentioned that there will be multiple devices and multiple versions of input and Output
Formats hence it is recommanded to update the input file page to capture requirements from multiple Devices.

Requirements

1) Add a dropdown to select Device Name. (Dropdown should be filled with DEVICEMASTR Table)
2) Both Input and Output files are .TXT files.

3) Output File Name should be "InputFileName_Output.txt".

4) Give Option to download the output file in to local System.

Create a table DEVICEMASTER with following details.
1)DEVICECODE
2)NAME

the Values in DEVICEMASTER
DEVICECODE NAME

1 Device-1

2 EDGAR-1

Sample Record from input file.
0000000000001011pigmy023001485000029101460Mr Alam Pasha
0000010500.0010500.0031/03/202423001484000001 0000500.0015/11/2024 11:5200010001 000000002500903

sample Output Format:
0000000000001011PIGMY003001485000029101460Mr Alam Pasha
0000010500.0010500.0031-03-20240030014840000010000500.0015-11-2024 11:5200010001

Instructions:

1)The output file should have all the information (fields) from the input file with below modifications.

1) From the 17th character Pick '5' characters in the input File Record and convert them to "ALL CAPS".

2) From the 22nd character, Pick all the numeric characters which are before Alphabet character in the input File Record.

3) After picking character as per above condition exclude the last 6 characters.

4) Now check if the length is 15 characters or not, incase the Length is less than 15 characters append required number of Zeros in
the prefix to make it 15 characters in Length. In these 15 characters always update the 2nd character as Zero.

5) Pick 5th Character from the Second (/) character till Space in the input File Record.

6) After picking the above characters check if the length is 15 characters or not , incase the Length is less than 15 characters append
required number of Zeros in the

prefix to make it 15 characters in Length and in these 15 characters always update the 2nd character as Zero.

History

#1 - 20/11/2024 03:21 PM - Krishna Kanth A
- Description updated

- Assignee set to Durga Konduru

#2 - 20/11/2024 03:27 PM - Krishna Kanth A

- Description updated
#3 - 20/11/2024 03:28 PM - Durga Konduru
- Status changed from New to In Progress

- Assignee changed from Durga Konduru to Bhanuchander Sannidhanam

#4 - 22/11/2024 07:16 PM - Krishna Kanth A
- Status changed from In Progress to Ready for QA

- Deployed In set to QA Environment

#5 - 22/11/2024 07:22 PM - prathyusha Ramisetti
- Status changed from Ready for QA to Ready for StgDmo

#6 - 25/11/2024 05:03 PM - prathyusha Ramisetti

- Assignee changed from Bhanuchander Sannidhanam to Venkata Suryateja Thripuraribhotla

#7 - 29/11/2024 10:21 AM - Krishna Kanth A

- Deployed In changed from QA Environment to Stage Environment

#8 - 29/11/2024 10:30 AM - Krishna Kanth A

- File Krudi PACS EDGAR 28-10-2024-Upload(input file) Output (1).txt added
- File 1505_Devices.jpg added

- File 1505_0OutputFilelmage.jpg added

- File 1505_Version.jpg added

- Status changed from Ready for StgDmo to Ready for Prod

Tested in Stage Successfully.
Output Files uploaded in the attached file.

#9 - 02/12/2024 07:46 PM - Krishna Kanth A

- File KrudiPACSEDGARZ28-10-2024-Upload(inputfile) Output Prod _02Dec_2024.txt added

- Deployed In changed from Stage Environment to Production Environment

Tested in Production Successfully.

#10 - 06/01/2025 11:46 AM - Redmine Admin
- Status changed from Ready for Prod to Closed

Files

Krudi PACS EDGAR 28-10-2024-Upload(input file)_Output (1).txt 2.23 KB 29/11/2024 Krishna Kanth A
1505_OutputFilelmage.jpg 110 KB 29/11/2024 Krishna Kanth A
1505_Devices.jpg 124 KB 29/11/2024 Krishna Kanth A
1505_Version.jpg 104 KB 29/11/2024 Krishna Kanth A
KrudiPACSEDGAR28-10-2024-Upload(inputfile)_Output_Prod_02Dec 22224 Bt 02/12/2024 Krishna Kanth A
